## rxtx 2.2pre2

=== debian/changelog ===
rxtx (2.2pre2-13) unstable; urgency=medium

  * Team upload.
  * debian/copyright:
    - Correct Format and remove broken Source link.
    - Update Upstream-Source and contact email address in copyright
  * debian/control:
    - Update upstream in debian/control.
    - Update Vcs links to use canonical URLs.
    - Add tmancill@debian.org to Uploaders.

 -- tony mancill <tmancill@debian.org>  Sun, 20 Jul 2014 20:40:59 -0700

rxtx (2.2pre2-12) unstable; urgency=medium

  * Team upload.
  * Apply patch for USB serial adapters at 38400 (Closes: #740098)
    - Thank you to Jan Niehusmann for the analysis and patch.
  * Apply patch for buffer overflow with long paths.  (Closes: #731151)
    - Thank you to Jose Luis Guardiola for the patch.
  * Remove DMUA field from debian/control.
  * Bump DH dependency from 8 to 9.
    - Add patch for compilation with format-security as error.
  * Bump Standards-Version to 3.9.5.

 -- tony mancill <tmancill@debian.org>  Tue, 25 Feb 2014 20:46:17 -0800

rxtx (2.2pre2-11) unstable; urgency=low

  * debian/patches/MonitorThread-daemon.patch
    - Mark threads created by RXTX as daemon so JVM can shut down
      gracefully. Thanks to Christopher Wellons (Closes: #674975)
  * debian/patches/fhs_lock_buffer_overflow_fix.patch 
    - Prevents java from failing with buffer overflow when a locked serial
      debice is opened. Thanks to Sergio Talens-Oliag (Closes: #673778)

 -- Scott Howard <showard@debian.org>  Sat, 02 Jun 2012 10:13:50 -0400

rxtx (2.2pre2-10) unstable; urgency=low

  * debian/patches/multiple_property_dirs.patch
    - handles the case where the "java.ext.dirs" system property contains
      more than one directory. (Closes: #646069) Thanks Philip Ashmore.
  * Added librxtx-java-dbg package and added uninstall target
    (Closes: #646356)

 -- Scott Howard <showard@debian.org>  Mon, 31 Oct 2011 03:04:52 -0400

rxtx (2.2pre2-9) unstable; urgency=low

  * debian/rules: dh_install -X.la for removal of *.la from libraries

 -- Scott Howard <showard@debian.org>  Tue, 04 Oct 2011 18:24:09 -0400

rxtx (2.2pre2-8) UNRELEASED; urgency=low

  * Updated kfreebsd_port.patch to follow FHS
  * replaced debian_porting.patch with sys_io_h_check.patch to use
    AC_CHECK_HEADERS to determine if sys/io.h is on a system. Thanks
    to Nobuhiro Iwamatsu. (Closes: #609152)
  * port_to_hurd.patch defines that HURD uses the FHS.

 -- Scott Howard <showard@debian.org>  Wed, 23 Feb 2011 23:28:09 -0500

rxtx (2.2pre2-7) unstable; urgency=low

  * Continued poritng effor: added --with autotools-dev 
    --with autoreconf to debian/rules

 -- Scott Howard <showard@debian.org>  Sun, 06 Feb 2011 12:56:21 -0500

rxtx (2.2pre2-6) unstable; urgency=low

  * debian/patches/kfreebsd_libpthread.patch
    - libc_r is not available, use libpthread on kfreebsd
  * Merge to unstable

 -- Scott Howard <showard@debian.org>  Sun, 06 Feb 2011 12:05:45 -0500

rxtx (2.2pre2-5) experimental; urgency=low

  * debian/patches/kreebsd_porting.patch
    - Fixed a FTBFS from not defining __FreeBSD_kernel__
  * Ported to s390 by adding it to debian_porting.patch.

 -- Scott Howard <showard@debian.org>  Fri, 04 Feb 2011 00:32:37 -0500

rxtx (2.2pre2-4) experimental; urgency=low

  * Updated debian/copyright.
  * debian/compat is now 8
  * debian/patches/debian_porting.patch
    - Fixed a FTBFS in src/RawImp.c for systems without sys/io.h
      (Closes: #609152)
  * debian/patches/kreebsd_porting.patch
    - Fixed a FTBFS from not defining __FreeBSD_kernel__
      (Closes: #585089) 
  * debian/patches/zsystem_exception.patch
    - Print error if initialization fails (Closes: #472053) 

 -- Scott Howard <showard@debian.org>  Thu, 03 Feb 2011 21:05:47 -0500

rxtx (2.2pre2-3) experimental; urgency=low

  * Added ${java:Recommends} to debian/control to recommend links to
    system installed javadocs per Debian Java Policy.
  * Debian policy 3.9.1 (no changes).
  * Added ttyACM_ports.patch to allow for enumeration of many additional
    ports, including ttyACM used in Arduino Uno development boards.

 -- Scott Howard <showard314@gmail.com>  Tue, 05 Oct 2010 09:42:49 -0400

rxtx (2.2pre2-2) unstable; urgency=low

  * Added javadoc to package
  * Changed build depend on default-jdk-builddep to default-jdk

 -- Scott Howard <showard314@gmail.com>  Thu, 24 Jun 2010 20:39:54 -0400

rxtx (2.2pre2-1) unstable; urgency=low

  * New upstream release:
    - Fixes JVM crash and UnsatisfiedLinkError/NoClassDefFoundError
      (Closes: #523139) (Closes: #489701)
    - Fixes amd64 support (Closes: #574395)
  * Added debian/watch file
  * Switched to source format 3.0 (quilt)
    - moved debian changes into patch in debian/patches
  * Changed rules to use dh
  * Fixed multiple lintian errors and multiple warnings
    - Policy version 3.8.4
  * Section moved to java from libs
  * Moved to team maintenance: Maintainer: Debian Java maintainers
    - Mario and I moved to uploaders
  * DM Uploads Allowed: yes
  * Build depends on javahelper
    - Binary depends on ${java:Depends}, use jh_installlibs for versioned
      install
    - Versioned naming of RXTXcomm.jar (Debian java policy)
  * Added VCS tags to debian/control
  * Libs now install in /usr/lib/jni instead of /usr/lib
  * Added doc-base file

 -- Scott Howard <showard314@gmail.com>  Thu, 03 Jun 2010 23:19:16 -0400

rxtx (2.1.7r2-4) unstable; urgency=low

  * Changed Java build dependency to default-jdk-builddep.
    (closes: Bug#491169)
  * Changed Java dependency to java-runtime.
    (closes: Bug#463115)

 -- Mario Joussen <joussen@debian.org>  Mon, 21 Jul 2008 18:20:31 +0200

rxtx (2.1.7r2-3) unstable; urgency=low

  * Removed check of UTS_RELEASE.
    (closes: Bug#428998)

 -- Mario Joussen <joussen@debian.org>  Sat, 28 Jul 2007 16:13:55 +0200

rxtx (2.1.7r2-2) unstable; urgency=low

  * Fixed configure script for Java version 1.6.
    (closes: Bug#417109)

 -- Mario Joussen <joussen@debian.org>  Tue,  3 Jul 2007 21:27:42 +0200


