=== debian/control ===
Source: rxtx
Section: java
Priority: optional
Maintainer: Debian Java maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Scott Howard <showard@debian.org>,
 tony mancill <tmancill@debian.org>
Build-Depends: debhelper (>= 9), libtool, javahelper, default-jdk,
 dh-autoreconf, autotools-dev
Standards-Version: 3.9.5
Homepage: https://github.com/rxtx/rxtx
Vcs-Git: git://anonscm.debian.org/pkg-java/rxtx.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/rxtx.git

Package: librxtx-java
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${java:Depends}
Recommends: ${java:Recommends}
Provides: lib-rxtx-java
Conflicts: lib-rxtx-java
Description: Full Java CommAPI implementation
 RXTX is a full implementation of the Java CommAPI from Sun. It
 contains  native libraries providing serial and parallel
 communication for the Java Development Toolkit.

Package: librxtx-java-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}, librxtx-java (= ${binary:Version})
Description: Full Java CommAPI implementation, Debugging Symbols
 RXTX is a full implementation of the Java CommAPI from Sun. It
 contains  native libraries providing serial and parallel
 communication for the Java Development Toolkit.
 .
 This package contains the debugging symbols for librxtx-java.
