=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with autotools-dev --with autoreconf --with javahelper

override_dh_auto_install:
	$(MAKE) install RXTX_PATH=$(CURDIR)/debian/librxtx-java/usr/lib/jni \
			JHOME=$(CURDIR)/debian/librxtx-java/usr/share/java

override_dh_auto_build:
	$(MAKE) RXTX_PATH=/usr/lib/jni
	$(MAKE) docs

override_dh_install:
	find . -name *.la -delete
	dh_install

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_strip:
	dh_strip --dbg-package=librxtx-java-dbg
