## rxtx 2.2pre2+dfsg1

=== debian/changelog ===
rxtx (2.2pre2+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * Repack the upstream tarball and remove prebuilt jar files and CVS
    directories.
  * Switch to compat level 10.
  * Drop librxtx-java-dbg binary package and use the automatic -dbgsym package
    instead.
  * Declare compliance with Debian Policy 4.1.1.
  * Add java9.patch and support Java 9 by building with -source/-target 1.8.
    Thanks to Chris West for the report. (Closes: #873999)
  * Add privacy-breach.patch and fix various Lintian warnings about
    privacy breach.

 -- Markus Koschany <apo@debian.org>  Fri, 27 Oct 2017 13:54:14 +0200
