=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 %:
-	dh $@ --with autotools-dev --with autoreconf --with javahelper
+	dh $@ --with javahelper
 
 override_dh_auto_install:
 	$(MAKE) install RXTX_PATH=$(CURDIR)/debian/librxtx-java/usr/lib/jni \
@@ -17,5 +17,3 @@
 override_dh_installchangelogs:
 	dh_installchangelogs ChangeLog
 
-override_dh_strip:
-	dh_strip --dbg-package=librxtx-java-dbg
