## rxtx 2.2.0+dfsg

=== debian/changelog ===
rxtx (2.2.0+dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload
  * d/rules: only enable printer support on architectures where sys/io.h
    exists (Closes: #1070417)

 -- Paul Gevers <elbrus@debian.org>  Mon, 14 Oct 2024 16:55:34 +0100

rxtx (2.2.0+dfsg-3) unstable; urgency=medium

  * Team upload.

  [ Emmanuel Bourg ]
  * Standards-Version updated to 4.7.0

  [ Andreas Beckmann }
  * Fix building with -Werror=implicit-function-declaration (Closes: #1066703)

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 01 May 2024 11:53:26 +0200

rxtx (2.2.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable

 -- tony mancill <tmancill@debian.org>  Mon, 26 Dec 2022 07:27:51 -0800

rxtx (2.2.0+dfsg-1) experimental; urgency=medium

  * Upload to experimental
  * Update debian/watch and debian/copyright for new upstream
  * New upstream version 2.2.0+dfsg (Closes: #1025955)
  * Freshen debian/copyright

 -- tony mancill <tmancill@debian.org>  Mon, 12 Dec 2022 21:36:21 -0800

rxtx (2.2pre2+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * No longer build the javadoc (Closes: #1011560)
  * No longer install RMISecurityManager.html (obsolete)
  * Standards-Version updated to 4.6.1
  * Switch to debhelper level 13

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 25 May 2022 10:34:56 +0200

rxtx (2.2pre2+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure with Java 10 (Closes: #897558)
  * Fixed the NullPointerException with Java 10 caused by the null
    java.ext.dirs system property (Closes: #896929)
  * Standards-Version updated to 4.1.4
  * Switch to debhelper level 11
  * Use salsa.debian.org Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 09 May 2018 16:34:13 +0200
