=== debian/control ===
Source: rxtx
Section: java
Priority: optional
Maintainer: Debian Java maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Scott Howard <showard@debian.org>,
 tony mancill <tmancill@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 default-jdk,
 javahelper,
 libtool
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/java-team/rxtx.git
Vcs-Browser: https://salsa.debian.org/java-team/rxtx
Homepage: https://github.com/rxtx/rxtx

Package: librxtx-java
Architecture: any
Depends: ${java:Depends}, ${misc:Depends}, ${shlibs:Depends}
Recommends: ${java:Recommends}
Provides: lib-rxtx-java
Conflicts: lib-rxtx-java
Description: Full Java CommAPI implementation
 RXTX is a full implementation of the Java CommAPI from Sun. It
 contains  native libraries providing serial and parallel
 communication for the Java Development Toolkit.
