=== debian/rules ===
#!/usr/bin/make -f

# only enable the (experimental) printer support on
# architectures where sys.io.h is available (#1070417)
ifneq (,$(filter $(DEB_HOST_ARCH), amd64 i386 x32))
	DH_CONFIGURE_OPTIONS = --enable-PRINTER
else
	DH_CONFIGURE_OPTIONS = --disable-PRINTER
endif

%:
	dh $@ --with javahelper

override_dh_auto_configure:
	dh_auto_configure -- $(DH_CONFIGURE_OPTIONS)

override_dh_auto_install:
	$(MAKE) install RXTX_PATH=$(CURDIR)/debian/librxtx-java/usr/lib/jni \
			JHOME=$(CURDIR)/debian/librxtx-java/usr/share/java

override_dh_auto_build:
	$(MAKE) RXTX_PATH=/usr/lib/jni

override_dh_install:
	find . -name *.la -delete
	dh_install

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog
